Class | Ferret::Search::Spans::SpanMultiTermQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

A SpanMultiTermQuery is the Spans version of MultiTermQuery, the only difference being that it returns the start and end offset of all of its matches for use by enclosing SpanQueries.

### Methods

new

### Public Class methods

SpanMultiTermQuery.new(field, terms) → query

Create a new SpanMultiTermQuery which matches all documents with the terms `terms` in the field `field`. `terms` should be an array of Strings.

[Validate]